
From: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>

'cat /proc/ide/hdx/identify' generates REQ_DRIVE_TASKFILE request (for
WIN_PIDENTIFY command) even for devices controlled by ide-cd.

All other drivers don't retry such requests.

Signed-off-by: Bartlomiej Zolnierkiewicz <bzolnier@elka.pw.edu.pl>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/ide/ide-cd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ide/ide-cd.c~ide-fix-ide-cd-to-not-retry-req_drive_taskfile-requests drivers/ide/ide-cd.c
--- 25/drivers/ide/ide-cd.c~ide-fix-ide-cd-to-not-retry-req_drive_taskfile-requests	Fri Jun 11 15:58:48 2004
+++ 25-akpm/drivers/ide/ide-cd.c	Fri Jun 11 15:58:48 2004
@@ -571,7 +571,7 @@ ide_startstop_t ide_cdrom_error (ide_dri
 	if (drive == NULL || (rq = HWGROUP(drive)->rq) == NULL)
 		return ide_stopped;
 	/* retry only "normal" I/O: */
-	if (rq->flags & (REQ_DRIVE_CMD | REQ_DRIVE_TASK)) {
+	if (rq->flags & (REQ_DRIVE_CMD | REQ_DRIVE_TASK | REQ_DRIVE_TASKFILE)) {
 		rq->errors = 1;
 		ide_end_drive_cmd(drive, stat, err);
 		return ide_stopped;
_
